//
//  QYShowResultView.m
//  iqiyi_ios_sdk_demo
//
//  Created by 苏 瑞强 on 13-8-8.
//  Copyright (c) 2013年 meiwen li. All rights reserved.
//

#import "QYShowResultView.h"


@implementation QYShowResultView


- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code
        UIToolbar* topBar = [[UIToolbar alloc] initWithFrame:CGRectMake(0, 20, 320, 44)];
        topBar.barStyle = UIBarStyleBlackTranslucent;
        
        NSMutableArray *myToolBarItems = [NSMutableArray array];
        [myToolBarItems addObject:[[[UIBarButtonItem alloc]
                                    initWithTitle:@"关闭"
                                    style:UIBarButtonItemStylePlain
                                    target:self
                                    action:@selector(action:)] autorelease]];
        [topBar setItems:myToolBarItems animated:YES];
        [topBar release];
        [self addSubview:topBar];
        
        CGRect textViewFrame = CGRectMake(3,60, 313, frame.size.height);
        UITextView* showView = [[UITextView alloc] initWithFrame:textViewFrame];
        showView.editable = NO;
        self.showView = showView;
        [showView release];
        [self addSubview:self.showView];

    }
    return self;
}

-(void)action:(id)sender
{
    [self removeFromSuperview];
}

-(void)setContent:(NSString *)content
{
    if (_content != content) {
        [_content release];
        _content = [content retain];
        
        self.showView.text = _content;
    }
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect
{
    // Drawing code
}
*/

@end
