//
//  VCOPAppDelegate.m
//  iqiyi_ios_sdk_demo
//
//  Created by meiwen li on 3/4/13.
//  Copyright (c) 2013 meiwen li. All rights reserved.
//

#import "VCOPAppDelegate.h"
#import "VCOPClient.h"
#import "VCOPViewController.h"

//从这里设置从开放平台申请到的appKey
#define kQIYIAppKey @"8aaaeae9766a4c8da4fefdd193e8cd0b"
#ifndef kQIYIAppKey
#error
#endif

//在这里设置从开放平台申请到的appSercet
#define kQIYIAppSecret @"a18b53afec981b2abe7e5afda65ba388"
#ifndef kQIYIAppSecret
#error
#endif


@implementation VCOPAppDelegate
{
    UIBackgroundTaskIdentifier backgroundTask;
}

@synthesize VCOPClientInstance;
//@synthesize sinaweibo;
@synthesize window = _window;
@synthesize viewController = _viewController;

- (void)dealloc
{
    [VCOPClientInstance release];
   // [sinaweibo release];
    [_window release];
    [_viewController release];
    [super dealloc];
}

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    
    
    NSString* srcPath = [[NSBundle mainBundle] pathForResource:@"capture0" ofType:@"mp4"];
    NSString* dstPath = [NSTemporaryDirectory() stringByAppendingPathComponent:@"captue.mp4"];
    if ([[NSFileManager defaultManager] copyItemAtPath:srcPath toPath:dstPath error:nil]) {
        NSLog(@"succeed");
    }
    
    VCOPClientInstance = [[VCOPClient alloc] initWithAppKey:kQIYIAppKey appSecret:kQIYIAppSecret];
    NSDictionary* loginInfo = [[NSUserDefaults standardUserDefaults] objectForKey:@"VCOPAuthData"];
    NSString* accessToken = [loginInfo objectForKey:@"AccessTokenKey"];
    if ((id)accessToken==[NSNull null]) {
        accessToken = nil;
    }
    VCOPClientInstance.accessToken = accessToken;
    
    NSString* refreshToken = [loginInfo objectForKey:@"FefreshTokenKey"];
    if ((id)refreshToken==[NSNull null]) {
        refreshToken = nil;
    }
    VCOPClientInstance.refreshToken = refreshToken;
    
    NSDate* expireDate = [loginInfo objectForKey:@"ExpirationDateKey"];
    if ((id)expireDate==[NSNull null]) {
        expireDate = nil;
    }
    VCOPClientInstance.expirationDate = expireDate;
    
    self.window = [[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]] autorelease];
    // Override point for customization after application launch.

    VCOPViewController *root = [[[VCOPViewController alloc] initWithNibName:nil bundle:nil] autorelease];
    UINavigationController *nav = [[UINavigationController alloc ] initWithRootViewController:root];
   // QiYiNavigationController *nav = [[QiYiNavigationController alloc] initWithRootViewController:root];
    
   // self.window.rootViewController = nav;
    [self.window setRootViewController:nav];
    [nav release];
   // self.window.rootViewController = self.viewController;
    [self.window makeKeyAndVisible];
   // [self prepareApplication];

    return YES;
}

//- (void) prepareApplication
//{
//    [[QiYiDataManager shareInstance] prepareApplication];
//}

- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // auto clear local temp video
//    [Tools autoClearLocalTempData];
//    
    if (backgroundTask == UIBackgroundTaskInvalid)
    {
        backgroundTask = [[UIApplication sharedApplication]
                          beginBackgroundTaskWithExpirationHandler:^{
                              // local nitification
                              NSInteger count = [[VCOPClientInstance getUploadingVideoList]  count];
//                              NSInteger count = [QiYiDataManager shareInstance].uploadTaskManager.uploadingHistory.modelArray.count;
                              if (count > 0) {
                                  NSString* msg = [NSString stringWithFormat:@"您有%d条视频上传未完成",count];
                                  if (count == 1) {
                                      
                                      msg = [NSString stringWithFormat:@"您的视频\"%@\"上传未完成，点击继续上传!",[[VCOPClientInstance getUploadingVideoList] objectAtIndex:0]];
                                      DebugLog(@"msg : %@",msg);
                                  }
                                  
//                                  [Tools scheduleLocalNotification:msg withAction:@"继续上传" userInfo:[NSDictionary dictionaryWithObjectsAndKeys:[NSNumber numberWithInt:3],@"tag",[NSNumber numberWithInt:-1],@"index", nil]];
                              }
                              [[UIApplication sharedApplication] endBackgroundTask:backgroundTask];
                              backgroundTask = UIBackgroundTaskInvalid;
                          }];
    }
    
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
//     [self.VCOPClientInstance applicationDidBecomeActive];
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

//- (BOOL)application:(UIApplication *)application handleOpenURL:(NSURL *)url
//{
//  //  return [self.VCOPClientInstance handleOpenURL:url];
//}
//
//- (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation
//{
// //   return [self.VCOPClientInstance handleOpenURL:url];
//}

@end
